Bug 104581 - Calc function NEGBINOMDIST not fully ODFF1.2 compliant and differs from Excel
Summary: Calc function NEGBINOMDIST not fully ODFF1.2 compliant and differs from Excel
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:5.4.0 target:5.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-11 15:19 UTC by Winfried Donkers (retired)
Modified: 2016-12-16 19:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
test document used (27.89 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-12-12 14:31 UTC, Winfried Donkers (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Winfried Donkers (retired) 2016-12-11 15:19:08 UTC
Description:
WRT ODFF1.2 constraint 'If (x + r - 1) <= 0 NEGBINOMDIST returns an Error.' is not applied.
NEGBINOMDIST is not compliant with Excel (https://support.office.com/en-us/article/NEGBINOMDIST-function-f59b0a37-bae2-408d-b115-a315609ba714), although neither is Excel itself WRT non numeric arguments.

Steps to Reproduce:
-

Actual Results:  
-

Expected Results:
-


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Winfried Donkers (retired) 2016-12-11 15:30:38 UTC
Also, Calc does not convert arguments x and r to integers, which it should.
Comment 2 Winfried Donkers (retired) 2016-12-12 14:31:07 UTC
Created attachment 129527 [details]
test document used
Comment 3 Commit Notification 2016-12-16 15:02:14 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=245b615400904274e264d5051baf63b3613db935

tdf#104581 handle constraints for NEGBINOMDIST in compliance with ODFF1.2.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-12-16 19:17:02 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=83675eeb30c92a17dd272894df34b89628de0142&h=libreoffice-5-3

tdf#104581 handle constraints for NEGBINOMDIST in compliance with ODFF1.2.

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.